Невозможно обновить браузер Опера (Невозможно исправить ошибки, у вас отложены (held) битые пакеты.)

Saltoon

New member
Сообщения
93
#1
Код:
root@astrapc209:/home/user# apt install opera-stable -y
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 opera-stable : Зависит: libgcc-s1 (>= 3.0) но он не может быть установлен
                Рекомендует: pepperflashplugin-nonfree но он не будет установлен
                Рекомендует: chromium-codecs-ffmpeg-extra но он не будет установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
Делал
apt install -f
apt-get update
apt-get dist-upgrade

Не помогает.
Прошу помощи.
 

Montfer

New member
Сообщения
2 069
#8
тогда вместо оперы использовать другой браузер. их же куча
 

Saltoon

New member
Сообщения
93
#11
при этом самая новая версия оперы?
Код:
root@astrapc209:/home/user# apt list -a --upgradable
Вывод списка… Готово
opera-stable/stable 93.0.4585.11 amd64 [может быть обновлён с: 87.0.4390.36]
opera-stable/now 87.0.4390.36 amd64 [установлен, может быть обновлён до: 93.0.4585.11]
 

Montfer

New member
Сообщения
2 069
#12
имею ввиду, что для работы с бд нужна самая новая версия?
 

Montfer

New member
Сообщения
2 069
#14
ну, у тебя 2 варианта: подрубить репу дебиана (вдруг там есть нужная версия) или проверить на 1.7 (он хотя бы на дебиане 10 базируется)
 

sui

New member
Сообщения
25
#15
обычно против битых пакетов помогает
sudo apt-get -f install -y && sudo apt -y autoremove
 

sui

New member
Сообщения
25
#16
а вообще надо смотреть на что конкретно ругается - в твоем случае на жоперу. подкол в том, что пакеты из зависимостей которых не нашел apt реально нет в репах - это решается подключением репозиториев и обновлением системного софта
 

Saltoon

New member
Сообщения
93
#17
а вообще надо смотреть на что конкретно ругается - в твоем случае на жоперу. подкол в том, что пакеты из зависимостей которых не нашел apt реально нет в репах - это решается подключением репозиториев и обновлением системного софта
Вот такой?

deb http://ftp.debian.org/debian bullseye main contrib non-free
 

sui

New member
Сообщения
25
#18